                    User visible changes in GNU a2ps.

Version 4.14	    Dec 29, 2007 
 * New Maintainer.
 * No UTF-8 support yet ;-<  Basically this is a maintenance release.
 * License:
   - Now GNU a2ps is licensed under GPLv3 or later.
   - Removed or replaced non-free/license-wise vague files (see
     ChangeLog for detail.)
 * Build:
   - Now can be built with the modern GNU Autotools.
   - Now can be built with gcc 3.4 or later.
 * Predefined delegations:
   - Add html2ps delegation if netscape don't run.
   - Now the configure script check if netscape support remote-command.
   - Now works with modern GV(PostScript and PDF viewer).  Tested with 
     3.6.2.
 * Options:
   - Better description on the default output and the -d option.
 * Encodings:
   - CP1251.
 * Bug Fixes:
   - `input buffer overflow, can't enlarge buffer because scanner uses REJECT'
     This should no longer happen.
   - Now works on IA64, PowerPC and AMD64.
   - Fixed wrong default values for deskjet printers.
   - Quote arguments to file(1).
   - Fixed several security issues (CVE-2004-1377).
   - PS generated by a2ps is now compatible with Adobe Distiller for Mac OS X.
 * Style sheets:
   - specc.ssh, thanks to Hideaki Yokota
   - csharp.ssh, thanks to Karen Christenson
   - nasm.ssh & pic16f84.ssh, thanks to Aleksandar Veselinovic
   - small.ssh, thanks Christophe Continente
   - matlab4.ssh & matlab.ssh, thanks to Joakim Lubeck
   - stratego.ssh, thanks to Nicolas Tisserand
   - rd.ssh, s.ssh and st.ssh, thanks to Torsten Hothorn et.al.
   - ruby.ssh, thanks to Noritsugu Nakamura.
   - php.ssh, thanks to Hartmut Holzgraefe
   - udiff.ssh: Improved highlighting for diffs.
   - perl.ssh: Improved.
   - Some rules of sheets.map are improved
 * Contributions:
   - pdiff: Now pdiff can accept standard input.
 * Prologues:
   - Added diffcolor.pro for diffs
 * Documentation:
   - Revised.
 * Translation:
   - Japanese translation thanks to Yasuyuki Furukawa.
   - Revised Dutch translation, thanks to Benno Schlenberg.
   - Revised French translation.
 * Many other fixes, but the log is rather spotty ;-<
 * Part of works done at the Codefest Asia 2007 in ITB Bandung, Indonesia.

Version 4.13:
 * Options:
   - It can no longer happen that --version and --help fail.
   - Fixed the reversed reading of the argument of --truncate.
   - --which, reports the full file name of library files.
   - --glob, globs in the library.
 * Predefined User Options
   - pdf
     `a2ps -=pdf foo' creates foo.pdf.  Uses Adobe Distiller, or
     Ghostscript's ps2pdf.  The fake printer `pdf' is also available.
     Contributed by Manfred Schwarb.
   - simplex and s1
     Forces a2ps to issue a `Simplex' request.  `a2ps -s1' (currently)
     only tells a2ps *not* to issue a Duplex request.
   - display
     Wrapper around the pseudo printer `display' requiring colored
     output, one up.
 * Encodings:
   - ISO 8859-13.
 * Contributions:
   - Ogonkify supports ISO-8859-13 (thanks to Dariusz Ramanauskas).
   - Ogonkify supports the Euro glyph.
   - pdiff and card
     a2ps options are now to be given after `--'.  For instance
       pdiff old new -- -1 -P display
   - fixps
     stops smashing blank lines.
 * Style sheets:
   - asn1.ssh, thanks to Philippe Coucaud.
   - autoconf.ssh
   - awk.ssh, thanks to Edward Arthur.
   - b.ssh, thanks to Philippe Coucaud.
   - bc.ssh
   - cidl.ssh, CORBA IDL, thanks to Bob Phillips.
   - cxx.ssh is the new name for C++ (formerly cpp.ssh).
   - cpp.ssh, CPP.
   - haskell.ssh, thanks to Ilya Beylin.
   - js.ssh, JavaScript, thanks to Scott Pakin.
   - lout.ssh, thanks to Jean-Baptiste Nivoit.
   - maple.ssh, thanks to Richard J Mathar.
   - mly.ssh, CAML Yacc, thanks to Jean-Baptiste Nivoit.
   - ocaml.ssh, thanks to Markus Mottl.
   - pov.ssh, thanks to Jean-Baptiste Nivoit.
   - sed.ssh
   - sml.ssh, Standard ML, thanks to Franklin Chen.
   - shell.ssh, ancestors for *sh.ssh.
   - vba.ssh, Visual Basic for Applications, thanks to Dirk Eddelbuettel.
   - tiger.ssh, related to the toy language of the books
     "Modern Compiler Implementation", by Andrew W. Appel
     http://www.cs.princeton.edu/~appel/modern/
   - xs.ssh, Perl XS, thanks to Kestutis Kupciunas.
 * The syntax of sheets.map is improved
 * Regexp are now `egrep' and `Perl' like, and no longer `Emacs' like.
   Before some characters had to be backslashed to denote the
   operators.  Now, it is just the opposite.  For instance before
   `\\(' and `\\)' used to be the grouping operator and `(' and `)'
   were standing for the characters parentheses; while now it is the
   converse.
   Affected characters are `(', `)', `|', `{', and `}'.
   Make sure to update your own style sheets.
 * Error Signaling
   - Failing compilations of regexp in style sheets now report the filename
     and line where the error occured.
 * Delegations
   File names with spaces are correctly processed.
 * Number of wrapped lines
   Is reported if the variable `cfg.wrapped' is set (which is the default).
 * Prologues
   - fixed.pro uses only fixed size fonts, in order to preserve the
     indentation.
   - ul.pro underlines where italics are expected.  Meant to print
     formatted man pages.
 * Wrapped lines
   The number of lines which were wrapped is reported.
   Contributed by Scott Pakin.

Version 4.12		Feb 16, 1999
 * Configuration Files:
   - Quotation is fixed, and works as in a shell.  It is no longer
     required to write:
         Options: '--stdin=A Title With Spaces'
     since one can write:
         Options: --stdin='A Title With Spaces'
   - `Options:' entries now report the file and line where the error occured.
   - Define a variable #{lp} in a2ps.cfg that is system dependent, but
     allows for system independent definition of printers in a2ps-site.cfg.
   - `Printer:' can specify a PPD only, in which case the `UnknownPrinter:'
     command is used.
   - configure allows --without-extensions
     Install a small a2ps (fewer library files).  Discouraged for non
     ASCII or Latin 1 users.
   - `Include:' includes another configuration file.
   - a2ps.cfg now includes `a2ps-site.cfg' which allows easier
     upgrades of a2ps without loosing previous configurations.
   - Now parsed using gperf.
     No speed up really noticeable :(, but cleaner :).
 * PPD files:
   - supports `*Include:'.
 * Options:
   - --medium supports case insensitive matches.
   - -S formerly --statusdict is now --setpagedevice
   - -D formerly --setpagedevice is now --define.
   - --toc with no argument uses the default Table of Contents layout
     (#{toc}).
   - -s, --sides
     Now admits 1, 2, simplex, duplex, and tumble.
   - --file-align=MODE
     Replaces (generalizes) --compact.  MODE can be:
       + `virtual', put as many files per sheet as possible
       + `rank', never allow two files on the same row (or column)
       + `page', never allow two files on the same page
       + `sheet', never allow two files on the same sheet
       + an integer NUM, specify that files must be aligned on NUM
   - -A
     is now exactly the short option for --file-align.
   - Output of --list=features is much more pleasant to read.
 * Contributions:
   - fixps
     If a file seems really very very bad, asks gs a full rewrite.
     Therefore there should no longer be *any* (valid) PostScript file
     refused by a2ps for delegations.
   - psset inserts PostScript requests for special features (ManualFeed,
     Duplex, DuplexTumble etc.).
   - psmandup
     + Now uses psset
     + New options --back and --front.  --back gives another chance of
       printing the second half if the timeout expired.
 * Style Sheets:
   - Fortran
     Major clean up thanks to Alexander Mai.
     + fortran.ssh remains the generic style sheet for unqualified
       Fortran.
     + (for77|for90)-(fixed|free).ssh for more specific dialects.
   - REXX scripts, thanks to Alexander Mai.
   - dc_shell, thanks to Philippe Le Van.
   - Mixed Style Sheets.
     Mixed sheets are sheets defined by ancestors only.  To build a
     mixed sheet, just specify a comma separated list of ancestors
     anywhere a style sheet key can be given (-E, sheets.map etc.).
   - Visual Tcl, thanks to Phil Hollenback.
   - Extended Tcl, thanks to Phil Hollenback.
 * Bug Fixes:
   - The long standing bug of user options (user options could not
     be used *after* an argument) is fixed.  Now it is safe to run
        a2ps file1 -=lp file2
     (before, only file2 was printed).  Algorithm suggested by Tristan
     Gingold.
   - Version control works also for to-file printers (e.g., -P file).
   - Temporary files are correctly removed even under abnormal conditions
     (broken pipe, C-c etc.).
 * Delegations:
   - Now outputs the setpagedevice requests in delegated jobs.  It is now
     OK to run
        a2ps foo.dvi -s2 -P duplex-printer
   - LaTeX.
     Needed calls to makeindex, bibtex and latex are run.
 * Predefined User Options:
   - `manual' for -SManualFeed:true
   - `book'.  This is experimental.  Allows for printing booklet on
   *printers* only (no way to save as a file).
 * Variables:
   - user.login, user.name, user.home, user.host, user.comments
     are now predefined and, of course, can be change as regular variables.
     Weird escapes such as
       `%a{USERNAME}'
         the localized equivalent for `Printed by USERNAME'
       `%A{USERNAME@HOSTNAME}'
         the localized equivalent for `Printed by USERNAME from HOSTNAME'.
     are no longer needed, and therefore removed.
 * Fonts:
   - .gsf fonts supported.
   - At configuration, a2ps looks for ghostscript fonts
   - PC Line Drawing fonts is fixed.
   - Russian fonts/afms are no longer distributed in the core of the
     package.  Another package, i18n-fonts, contains them all.
 * Translations:
   - Norwegian, thanks to Jon Ross.
   - Slovenian, thanks to Igor.
 * Support of libpaper.
   the special medium `--medium=libpaper' let a2ps pick up the choice
   given to libpaper.  Disabled if libpaper was not available at
   configuration.
 * Environment Variables:
   - A2PS_VERBOSITY is equivalent to --verbose, but is consulted
     since startup (long before command line is read).
 * Error Signaling
   Now a2ps makes visible the invisible characters when reporting an
   error (it helps a lot!).
 * By default liba2ps is built static only.

Version 4.10.4		Sep 28, 1998
 * a2ps is now GNU software
 * Updated Ogonkify (compose is now composeglyphs)
 * Bug fixes:
   - y2k problems with short dates
   - version control is enabled only in the pertinent cases
 * Encodings:
   - The graphic PC encoding is supported again ibm-cp437 (or pcg)
   - Renamed ibmpc.edf as ibm-cp850.edf and cp1250.edf as ms-cp1250.edf
 * Options:
   - --define is encouraged over --variable (like m4 etc.)
   - most options return a better diagnostic when the argument
     is invalid
 * Predefined Delegations
   - bzip and bzip2 compressed files
 * New directories:
   - `arch/' for support of non Unix OSes.
   - `arch/os2/' support for OS/2 by Alexander Mai.

Version 4.10.3		Jun 25, 1998
 * Translations:
   - Russian, thanks to Vladimir Vodolazkiy
 * A2PS_LIBRARY is abandoned in favor of A2PS_CONFIG
 * Style sheets:
   - mib.ssh, meant for ASN.1 "Management Information Base" files,
     thanks to Kelly Wiles.
   - html.ssh
 * Contributions:
   - fixnt, fixes common problems with PostScript files from Windows NT,
     thanks to Holger Bauer and Michael Rath
   - a2ps-print.el, to ease the use of a2ps from Emacs, thanks to
     Bruce Ingalls.
   - OS/2 files by Alexander Mai.
 * Predefined delegations:
   - GIF, JPG, XBM, XPM, PNG thanks to ImageMagick
 * Encodings:
   - Cleaned up the file names (latin1.edf -> iso1.edf etc.)
   - Added iso7.edf (Greek)
   - Added iso15.edf (West European, new version).

Version 4.10.2 		May 14, 1998
 * Fixed installation of Ogonkify
 * Contributions:
   - pdiff (pretty diff) pretty prints diffs.
     Uses GNU diff, and GNU wdiff.

Version 4.10.1 		April 22, 1998
 * Updated Ogonkify.
 * Translations:
   - Swedish, thanks to Peter Nilsson.
   - Portugese, thanks to Pedro Miguel Marques Morais.
 * Changed ``Macro Meta Sequence'' to ``Variable'', and ``Meta Sequence''
   to ``Escape''
 * Options:
   - --variable is encouraged instead of --macro-meta-sequence
 * Sheets:
   - wdiff.ssh meant to be used on wdiff output.
   - udiff.ssh for diff -u.
 * file(1) is always called, even for `stdin'.  Now it is safe to run
   `cat file.ps | a2ps', or `cat file | a2ps --guess'.

Version 4.10		March 10, 1998
 * Updated libtool for Irix users.
 * Renamed psfix as fixps (to be like the psutils).

Version 4.9.10		March 6, 1998
	* PostScript Printer Description (PPD) files partially supported:
	   - Configuration of printers takes an optional PPD key
	   - Automatic down loading of unknown fonts
	   - Since only the known fonts are used currently, two fake
	     PPD files (level[12].ppd) are provided.
	   - New configuration item: DefaultPPD: key
	* Predefined delegations: acroread for PDF.
	* Updated Ogonkify.
	* Czech translation, thanks to Jiri Pavlovsky
	* Contributions:
	   - card prints reference cards of programs based on their --help
	     outputs.
	   - psfix tries its best to fix ps files.  Uses heavily the psutils.
	   - psmandup simulates Duplex printing on single sided printers.
	* Man pages (based on --help and --version outputs).
	* Meta Sequences:
	   - New: #?d.
	   - ${} and #{} are now preferred to $() and #().
	   - They admit the sh-like ${var:+word} and ${var:-word}
	* Sheets:
	   - Enforced the rule "Last defined is winning".
	   - Regex can be spread on several lines (a` la ANSI C strings).
	   - card.ssh, symbols.ssh.
	   - idl.ssh thanks to Robert S. Mallozzi.
	   - pre.ssh is re-designed to be more canonic for a2ps.
	   - pretex.ssh, like pre.ssh but with LaTeX like syntax
	   - texscript.ssh, combination of pre.ssh and pretex.ssh
	     (corresponds to the old version of PreScript).
	* Prologues:
	   - They can use variables (through meta sequences).
	   - matrix.pro (3 grey lines, 3 white etc.).
	   - bold.pro (as bw.pro, but using bold fonts).
	* Options:
           --copyright.
	   --list=TOPIC replaces all the --list-topic.
	     (e.g., --list-options is --list=options etc.).
	   --list=prologues, gives a short description of the prologues.
	   --style-sheet=path.ssh, which help to debug a particular
	     style sheet file.
	   --verbose accepts token-based arguments.
	   --font-size supports a unit (-f12cm, -f72points etc.).
	   --macro-meta-sequence=key:value defines a macro MSeq.
	   --ppd[=KEY] specifies the PPD to use.
	   --list=ppd lists the known ppd files.
	   --pages: its arg is optional, so that we can reset it.

Version 4.9.9    Nov 10 1997
	* Options:
	  - --highlight-level=LEVEL replaces --graphic-symbols=BOOL
	* Various portability and bug fixes.
	* Sheets:
	  - modula2.ssh thanks to Peter Bartke.
	  - ppd.ssh
	* a2ps.cfg:
	  - `FileCommand:', to specify the way to call file(1)
	  - `TemporaryDirectory:', to specify where to put the tmp files

Version 4.9.8
	* Fonts support has completely changed.
	  - Nothing of the fonts is hard coded any longer.
	  - Now a2ps needs the AFM files.
	  - `make_fonts_map.sh' generates the fonts.map file.
	  - Updated Ogonkify
	* Options:
	  - -3, -5, and -7 request 80 chars/line too.
	  - -a, --pages: _input_ page range selection (does work with
	    delegations!).
	  - --end-of-line: specify how end of lines should be handled.
	    In particular --end-of-line=auto supports the 4 classic eol.
	    This is the end of trailing ^M for PC files.
	  - --toc, generates a table of content from a meta sequence,
	    formated according to the PreScript style.
	  - --list-encodings, --list-user-options.
	* Delegations:
	  - widely improved (error detection, DSC compliance, no
	    useless PS prologue etc.)
	  - must produce the file on stdout, not in a file.
	  - should respect page range selection
	* a2ps-mode:
	  - a2ps menu
	  - M-x a2ps-compile-regexp, produces the optimized regexp
	    corresponding to the region selected. Thanks to Didier Verna.
	* a2ps.cfg:
	  - predefined delegations: dvips, texi2dvi and even gzip!
	    (you may do ``a2ps -a1-4 a2ps.texi.gz'' for instance).
	  - `LibraryPath:', `AppendLibraryPath:' and `PrependLibraryPath:'
	    to specify the library path (no longer hard coded).
	* When a style sheet cannot be found, Plain style is used
	  instead of aborting.
	* sheets:
	  - texinfo.ssh, gnuc.ssh, elisp.ssh, make.ssh, eps.ssh
	  - csh.ssh, tcsh.ssh thanks to Jim Diamond.
	* ssh:
	  - enriched expansion of matches, and back reference to what
	    has been matched. E.g.
	    (/\\(a*\\)\\(b*\\)/ "As: ", \1, ", Bs: ", \2 Label_strong)
	  - new face: Error.
	* Meta Sequences:
	  - #! uses only two fields, not four!
	  - Padding is supported (e.g., $-.10n gives `README....')
	  - Removed: #f.
	  - New: $p^, $p-., #f0 to #f9, #p, #?V, #?q, #?o, #?p, \f, $[], #!$.
	  - Renamed: $l< -> $l^.
	* Encodings:
	  - Encodings are stored in `files.edf' in which you may define
	    substitute to regular fonts so that, for instance, the
	    Russians don't have to rewrite the PS prologues: just
	    substitute Courier etc. by the appropriate fonts.
	  - The PS encoding vectors (*.enc) are no longer used.
	  - New file: encoding.map, to define the encodings aliases.
	  - Added KOI8-R (aka KOI8) and ISO-8859-5 support.

Version 4.9.7
	* config:
	  - `MacroMetaSequence:' to define macros
	  - `Delegation:' replaces brain dead "PassThrough:"
	* a2ps.cfg:
	  - predefined delegations: Netscape, groff, psnup.
	  - predefined macro meta sequences: psnup.
	* configure: --with-medium, --with-encoding
	* liba2ps:
	  The interface to the PostScript generating routines of a2ps
	  is now opened.  Still a beta feature.
	* Meta-sequences:
	  - New scheme: #! for enumerations.
	  - Renamed: $v -> $#, $V -> %#, %o->#o, %O->#O, $?->#?, %.->#,
	    %l -> $l<, $l -> $l., $L -> $l#, %p -> %p., $p -> $p.,
	    %P -> %p#, $P -> $p#, %s -> %s., $s -> $s.,
	    %S -> %s#, $S -> $s#.
	  - New: $p<, $p>, $s<, $s>, #!f, !#F, #!s, #?j, #?r,
	    #f, #h, #v, #w, \\, \n.
	* Output destination is reported at the end of the job.
	* If no output is to be produced, no output is produced...
	* Options:
	  - --list-delegations,
	  - --pass-through is renamed --delegate.
	  - --non-printable-format, now supports: emacs, octal, hexa,
	    question-mark,
	  - -t, --title sets the documents title,
	  - old behavior of -t is now --stdin.
	  - --list-macro-meta-sequences
	* ssh:
	  - "ancestors are" to extend existing style sheets.
	  - "comment is" replaced by "documentation is".
	  - "closers are": closing alternatives of the sequences is
	    now handled by the grammar.  Some files needed changes.
	  - Regexp can be used.
	* doc:
	  - regex.texi: documentation on the regex a2ps uses.
	  - a2ps.texi: new chapter on liba2ps.
	  - a2ps.1: a short help on most useful features is added.
	* emacs/ssh.el: renamed a2ps.el because ssh.el yet exists.
	* sheets: a2psrc.ssh, lex.ssh, yacc.ssh

Version 4.9.6
	* --list-media, --list-style-sheets, --list-printers.
	* ssh: "requires a2ps *"
	* ssh.ssh, vrml.ssh
	* Better handling of bad arguments to options.

Version 4.9.5
	* Removed dead code from old handling of style sheets.

Version 4.9.4
	* ssh: "written by", "version is".
	* config: `PassThrough:', `Media:'.
	* Option -Z, --pass-through.
	* `ssh.el' implements a style sheet mode for emacs.

Version 4.9.3
	* Substitution of meta sequences (no longer on %s) is performed
	  on commands associated to symbolic printers.  E.g.
	  Printer: file > $n.%.
	  will save `foo.c' into `foo.c.ps'
	* Meta sequences: $N changed; %., $f, $d, %o, %O new.
	* --version-control and --suffix for backups
	* ChangeLog.ssh
	* Uses libtool.
	* Includes regex and rx.

Version 4.9.2
	* tex.ssh thanks to Denis Girou.
	* Handling of keywords and symbols unified.
	* Semantics of -g has changed, relaying on the "optional"
	  marked definitions in *.ssh files.

Version 4.9.1
	* Bugs fixes.
	* Speed up plain style printing.

Version 4.9.0
	* Style sheets are independent files (*.ssh)
	* Pattern rules are in another file (sheets.map)
	* The style handling is quite different from the previous
	  approach.

Version 4.8.4
	* Portability fixes (for Pyramid and MkLinux).
	* Updated Ogonkify
	* Turkish translation thanks to Turgut Uyar.

Version 4.8.3
	* Many files changed names to get closer of 8+3 file
	  names, case insensitive.
        * Korean translation thanks to Choi Jun Ho.

Version 4.8.2
        * Objective C, thanks to Paul Shum.
        * Italian translation thanks to Lorenzo M. Catucci.
	* Boxes and underlines can be used in prologues.
	* Small fixes in the documentation.
	* --debug down loads a PS error handler.
	* Renamed --columns-per-line to --chars-per-line which is
          less confusing.

Version 4.8.1
	* Dutch translation thanks to Marcel van der Laan
	* Updated Ogonkify dir
	* Polish translation thanks to Juliusz Chroboczek
	* Optimized printer memory usage

Version 4.8
	* German translation, thanks to Michael Wiedmann,
	  Christian Kirsch and Erwin Dieterich
	* Bug fixes
	* Easier to compile on 95's and NT's MS-DOS
	* Support for Helvetica variants
	* --major

Version 4.7.21
	* Renamed --font as --font-size, because base font changes
	  are to be done in the prologues.
	* Faces can change base fonts in *.pro
	* --line-numbers support an integer argument, to print
	  line number say each 5 lines.
	* The SQL family of language is now fully supported
	  (thanks to Pierre Mareschal)
	* Lines in config files can be continued by a '\' before eol.
	* `UserOption: shortcut options' in config files.
	* Options -=/--user-option=shortcut to execute the above options.
	* Spanish and Catalan, thanks to Miguel A. Varo
	* --title is renamed --center-title
	* -t/--title sets the title of a job given through stdin
	  (as in enscript)
	* `Printer', `DefaultPrinter' and `UnknownPrinter' entries in
	  the configuration files, which allow to pipe or save the
	  PostScript in any command/file.  This should help
	  non-PostScript printers owners, and MS-DOS people.
	* Octave/MATLAB support (thanks to Craig P. Earls)
	* Integration of Ogonkify (by Juliusz Chroboczek)
	* Strong support of ISO Latin 2, 3, 4, 5 and 6, and CP-1250.
	* Mixing of encodings within a document.

Version 4.7.20
	* Small speed improvements.
	* Small bug fixes (and back to PS level 1 compatibility :-|, and
	  non ANSI compilers (#$%% AIX!)).
	* `Pattern: patt lang' entries in the configuration files
	  (to let the user define his/her own suffix rules).
	* ISO Latin 2 and IBM PC code sets weakly supported.
	* SQL, SQL92, Ora and PL-SQL styles (thanks to Pierre Mareschal)
	* New option: --columns-per-page.

Version 4.7.19
	* With alternatives closing sequences, the closing string has
	  its own font.
	* Unity style thanks to J-Ph Cottin
	* --list-features lists the prologues.
	* --margin (for binding).

Version 4.7.18
	* Verilog style, thanks to Edward Arthur.
	* PS is smaller and "smarter" (exchanged the order between font
	  and string to print).
	* Options -k/--page-prefeed and -K/--no-page-prefeed.
	* Options -D/--setpagedevice and -S/--statusdict.
	* diverted the output (hence two passes, as fast as I could :).
	* New meta sequences: total number of pages, sheets, for
	  files or for print job.
	* Tags are caught by meta sequences $t1, $t2 etc.
	* Changed --language-style/-k to --language/-E, as GNU enscript.
	* Added --strip-comments that does not print the strong comments.
	* Separated --list-features from --list-options.

Version 4.7.17
	* More styles available for style-sheets. (No differences
	  with the prolog a2ps.pro).
	* Changed --include to --prolog.
	* Added misc/gray.pro, misc/color.pro to use with --prolog.

Version 4.7.16
	* More predefined layouts.
	* More predefined medias (thanks to GNU enscript and Ghostview).
	* Better handling of medias sizes.
	* %%BoundingBox given.
	* Several rows/columns to describe the virtual pages layout.

Version 4.7.15
	* More than two virtual pages may be given.
	* Small bug fixes.

Version 4.7.14
	* Improved DSC compliance.

Version 4.7.13
	* Handling of `^' signifying beginning-of-the-line, in sequences
	  specification.
	* Handling of alternative in the closing of sequences.
	* Fortran and mail/news style sheets enhanced.
	* Escapes for headers are enriched with %? construct.

Version 4.7.11
	* Bug fixes
	* Better management of too big titles

Version 4.7.10
	* The writing of the Texinfo file has started
	* orientation is guessed from number of pages/sheet, unless
	  specified

Version 4.7.9
	* long options.  Most short options have changed name to get
	  closer to the interface of enscript.
	* Library files are used ({prefix}/share/a2ps/...).
	* .a2psrc can be used for default settings.
	* added water marks (from Mark Daku <daku@nortel.ca>)
	* many more options to specify the content of the various
	  "headers", through the use of meta-sequences.
	* following GNU, the order of the options _does_not_ matter.
	  Actually it does between options, but, eg, the font size cannot
	  be changed between two files in the same command line.

Version 4.7.8
	* Dates are NLSed.
	* Checking improved.
	* The mail folders support is much better. Header is the Subject,
	  and footer the sender. With elm, use a2ps -kmail -t %s.
	* Added \footer and \header to prescript.

Version 4.7.7
	* User and host names can be given with -L
	* Native Language Support. Currently French, Italian.

Version 4.7.2
	* Use of automake 1.0
	* New scheme for various char encodings (currently ascii,
	  hp, and latin1).

Version 4.6.1
	* Bugs fixes.

Version 4.6
	* Fixed line numbering, folding, managing of strings and
	  escapes
	* New options: -L, -nk, -u<txt>
	* Options now positional -k, -nH, -i, -ni positional
	* Sequences now have three fonts (open, in, close)
	* Changed handling of exceptions (e.g. \", \\, etc.)
	* Small fix to allow print without LPR_OPT and with
	  LPR_DEST_OPT
	* New options -V, -a, -o, -W, -G and -k(none)
	* Manage the real length (WX field in afms) of chars
	* Handle every chars (even \0)
	* tabs in ps are "absolute": they always correspond to Courier
	* text footer now is `relative' (i.e. it is affected by
	  MARGIN)

Previous versions
 1. Derived of shell program written by evan@csli (Evan Kirshenbaum).
    Written in C for improve speed execution and portability. Many
    improvements have been added.

 Fixes by Oscar Nierstrasz @ cui.uucp:
 2. Fixed incorrect handling of stdin (removed error if no file names)
 3. Added start_page variable to eliminate blank pages printed for
        files that are exactly multiples of 132 lines (e.g., man pages)

 Modified by santana@imag.fr:
 4. Added new options at installation : sheet format (height/width in
    inches), page format (number of columns per line and of lines per
    page).

 Modified by santana@imag.fr:
 5. Added new option to print n copies of a same document.
 6. Cut long filenames if don't fit in the page header.

 Modified by Tim Clark (T.Clark@warwick.ac.uk):
 7. Two additional modes of printing (portrait and wide format modes)
 8. Fixed to cope with filenames which contain a character which must
    be escaped in a PostScript string.

 Modified by santana@imag.fr to
 9. Added new option to suppress heading printing.
 10. Added new option to suppress page surrounding border printing.
 11. Added new option to change font size. Lines and columns are
     automatically adjusted, depending on font size and printing mode
 12. Minor changes (best layout, usage message, etc).

 Modified by tullemans@apolloway.prl.philips.nl
 13. Backspaces (^H) are now handled correctly.

 Modified by Johan Vromans (jv@mh.nl) to
 14. Added new option to give a header title that replaces use of
     filename.

 Modified by craig.r.stevenson@att.com to
 15. Print last modification date/time in header
 16. Printing current date/time on left side of footer (optional)

 Modified by erikt@cs.umu.se:
 17. Added lpr support for the BSD version
 18. Added som output of pages printed.

 Modified by wstahw@lso.win.tue.nl:
 19. Added option to allowing the printing of 2 files in one sheet

 Modified by mai@wolfen.cc.uow.oz
 20. Added an option to set the lines per page to a specified value.
 21. Added support for printing nroff manuals

 Modified by santana@imag.fr
 22. Integration of changes.
 23. No more standard header file (printed directly by a2ps).
 24. New format for command options.
 25. Other minor changes.

 Modified by Johan Garpendahl (garp@isy.liu.se) and santana@imag.fr:
 26. Added 8-bit characters printing as ISO-latin 1 chars

 Modified by John Interrante (interran@uluru.stanford.edu) and
 santana@imag.fr:
 27. Two pages per physical page in portrait mode

 Modified by santana@imag.fr:
 28. New option for two-sided printing
 29. Several fixes

 Modified by Chris Adamo (adamo@ll.mit.edu) and
     Larry Barbieri (lbarbieri@ll.mit.edu) 3/12/93
 30. Output format enhancements.
 31. Added login_id flag (for SYSV and BSD only) for printing user's
     login ID at top of page.  Added command line parameter (-nL) to
     suppress this feature.
 33. Added filename_footer flag for printing file name at bottom
     of page.  Added command line parameter (-nu) to suppress this
     feature.
 34. Added -B (-nB) options to enable (disable) bold font

 Modified by santana@imag.fr:
 35. Adapted to respect Adobe conventions for page independence. A2ps
     output can be now used by other Postscript processors.
 36. Names of most postscript variables have been coded in order to
     reduce the size of the output.
 37. ANSI C compilers are now automatically taken into account.
 38. Enhanced routine for cutting long filenames
 39. Added -q option to print files in quiet mode (no summary)
 40. Fixed some little bugs (counters, modification time for stdin,
     character separator when printing line numbers and cutting a
     line).
 41. Some minor changes (new preprocessing variables, formatting)

 Modified by Emmanuel Briot (Emmanuel.Briot@enst-bretagne.fr)
 42. Made keyword Highlighting mode

Local Variables:
mode: indented-text
End:
